The Sales Forecast Item object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
item_code string required
item_name string
uom string
delivery_date string
forecast_qty number
adjust_qty number
demand_qty number required
warehouse string
The Sales Forecast Item object
{
  "id": "sales-forecast-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "uom": "uom_example",
  "delivery_date": "2024-01-15",
  "forecast_qty": 0,
  "adjust_qty": 0,
  "demand_qty": 0,
  "warehouse": "warehouse_example"
}
GET /api/manufacturing/sales-forecast-item?parent_id={id}

List sales forecast items by parent

Returns all sales forecast items belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of sales forecast item objects belonging to the parent.

GET /api/manufacturing/sales-forecast-item?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/sales-forecast-item?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "sales-forecast-item_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "uom": "uom_example",
      "delivery_date": "2024-01-15",
      "forecast_qty": 0,
      "adjust_qty": 0,
      "demand_qty": 0,
      "warehouse": "warehouse_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/sales-forecast-item

Create a sales forecast item

Creates a new sales forecast item object.

Body parameters

idx integer
parent_id string required
parent_type string required
item_code string required
item_name string
uom string
delivery_date string
forecast_qty number
adjust_qty number
demand_qty number required
warehouse string

Returns

Returns the newly created sales forecast item object if the call succeeded.

POST /api/manufacturing/sales-forecast-item
curl https://api.overplane.dev/api/manufacturing/sales-forecast-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","item_code":"item_code_example","demand_qty":0}'
Response
{
  "id": "sales-forecast-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "uom": "uom_example",
  "delivery_date": "2024-01-15",
  "forecast_qty": 0,
  "adjust_qty": 0,
  "demand_qty": 0,
  "warehouse": "warehouse_example"
}
PATCH /api/manufacturing/sales-forecast-item/{id}

Update a sales forecast item

Updates the specified sales forecast item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the sales forecast item to update.

Body parameters

idx integer
parent_id string
parent_type string
item_code string
item_name string
uom string
delivery_date string
forecast_qty number
adjust_qty number
demand_qty number
warehouse string

Returns

Returns the updated sales forecast item object.

PATCH /api/manufacturing/sales-forecast-item/{id}
curl https://api.overplane.dev/api/manufacturing/sales-forecast-item/sales-forecast-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "sales-forecast-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "uom": "uom_example",
  "delivery_date": "2024-01-15",
  "forecast_qty": 0,
  "adjust_qty": 0,
  "demand_qty": 0,
  "warehouse": "warehouse_example"
}
DELETE /api/manufacturing/sales-forecast-item/{id}

Delete a sales forecast item

Permanently deletes a sales forecast item. This cannot be undone.

Path parameters

id string required

The identifier of the sales forecast item to delete.

Returns

Returns a confirmation that the sales forecast item has been deleted.

DELETE /api/manufacturing/sales-forecast-item/{id}
curl https://api.overplane.dev/api/manufacturing/sales-forecast-item/sales-forecast-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "sales-forecast-item_abc123",
  "deleted": true
}
POST /api/manufacturing/sales-forecast-item/reorder

Reorder sales forecast items

Updates the sort order of sales forecast items within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/sales-forecast-item/reorder
curl https://api.overplane.dev/api/manufacturing/sales-forecast-item/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "sales-forecast-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "uom": "uom_example",
  "delivery_date": "2024-01-15",
  "forecast_qty": 0,
  "adjust_qty": 0,
  "demand_qty": 0,
  "warehouse": "warehouse_example"
}